import React from "react";
import clsx from "clsx";
import { makeStyles } from "@material-ui/core/styles";
import {
  Grid,
  Divider,
  Avatar,
  Typography,
  Paper,
  Table,
  TableCell,
  TableHead,
  TableRow,
  TableBody,
  Button
} from "@material-ui/core";

const useStyles = makeStyles(theme => ({
  container: {
    display: "flex",
    flexWrap: "wrap"
  },
  textField: {
    marginLeft: theme.spacing(1),
    marginRight: theme.spacing(1),
    width: 200
  },
  dense: {
    marginTop: 19
  },
  menu: {
    width: 200
  },
  bigAvatar: {
    margin: 10,
    width: 100,
    height: 100
  },
  label: {
    color: "grey"
  },
  paper: {
    marginTop: theme.spacing(2)
  },
  paperHeader: {
    margin: theme.spacing(2),
    paddingTop: theme.spacing(2),
    color: "grey"
  }
}));

function createData(a, b, c, d, e, f, g, h, i, j, k) {
  return { a, b, c, d, e, f, g, h, i, j, k };
}

const rows = [
  createData("BCUL0001", "Basic Cover Ultha", "19/03/2019", "Expired")
];

const rowsTwo = [
  createData(
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A",
    "N/A"
  )
];

export default function TextFields() {
  const classes = useStyles();
  const [values, setValues] = React.useState({
    name: "Cat in the Hat",
    age: "",
    multiline: "Controlled",
    currency: "EUR"
  });

  const handleChange = name => event => {
    setValues({ ...values, [name]: event.target.value });
  };

  return (
    <form className={classes.container} noValidate autoComplete="off">
      <Grid container>
        <Grid item xs={2}>
          <Avatar
            alt="Remy Sharp"
            src="https://material-ui.com/static/images/avatar/1.jpg"
            className={classes.bigAvatar}
          />
        </Grid>
        <Grid item xs={10}>
          <Grid container>
            <Grid item xs={12}>
              <Typography variant="h6">070707070</Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Last Name
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Macintyre</Typography>
            </Grid>
            <Grid item xs={4} />
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Region of FSP
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Aaa Bbb</Typography>
            </Grid>

            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Other Names
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Joseph</Typography>
            </Grid>
            <Grid item xs={4} />
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                District of FSP
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Aaa Bbb</Typography>
            </Grid>

            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Birth Date
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">12/07/1950</Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Age
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">69</Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Level of FSP
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Aaa Bbb</Typography>
            </Grid>

            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                Gender
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Male</Typography>
            </Grid>
            <Grid item xs={4} />
            <Grid item xs={2}>
              <Typography className={classes.label} variant="caption">
                First Service Point
              </Typography>
            </Grid>
            <Grid item xs={2}>
              <Typography variant="caption">Aaa Bbb</Typography>
            </Grid>
          </Grid>
        </Grid>
        <Grid item xs={12}>
          <Paper className={classes.paper}>
            <Table className={classes.table} size="small">
              <TableHead>
                <TableRow>
                  <TableCell>Code</TableCell>
                  <TableCell>Name</TableCell>
                  <TableCell>Expire Date</TableCell>
                  <TableCell>Status</TableCell>
                  <TableCell>Hospital Deduction</TableCell>
                  <TableCell>Non-Hospital Deduction</TableCell>
                  <TableCell>Hospital Ceiling</TableCell>
                  <TableCell>Non-Hospital Deduction</TableCell>
                </TableRow>
              </TableHead>
              <TableBody>
                {rows.map(row => (
                  <TableRow key={row.name}>
                    <TableCell component="th" scope="row">
                      {row.a}
                    </TableCell>
                    <TableCell align="right">{row.b}</TableCell>
                    <TableCell align="right">{row.c}</TableCell>
                    <TableCell align="right">{row.d}</TableCell>
                    <TableCell align="right">{row.e}</TableCell>
                    <TableCell align="right">{row.f}</TableCell>
                    <TableCell align="right">{row.g}</TableCell>
                    <TableCell align="right">{row.h}</TableCell>
                  </TableRow>
                ))}
              </TableBody>
            </Table>
          </Paper>
        </Grid>

        <Grid item xs={12}>
          <Paper className={classes.paper}>
            <Typography className={classes.paperHeader}>Left</Typography>
            <Divider />
            <Table className={classes.table} size="small">
              <TableHead>
                <TableRow>
                  <TableCell align="center">Admissions</TableCell>
                  <TableCell align="center">Visits</TableCell>
                  <TableCell align="center">Consultations</TableCell>
                  <TableCell align="center">Surgeries</TableCell>
                  <TableCell align="center">Deliveries</TableCell>
                  <TableCell align="center">Antenatal</TableCell>
                </TableRow>
              </TableHead>
              <TableBody>
                {rowsTwo.map(row => (
                  <TableRow key={row.name}>
                    <TableCell component="th" scope="row" align="center">
                      {row.a}
                    </TableCell>
                    <TableCell align="center">{row.b}</TableCell>
                    <TableCell align="center">{row.c}</TableCell>
                    <TableCell align="center">{row.d}</TableCell>
                    <TableCell align="center">{row.e}</TableCell>
                    <TableCell align="center">{row.f}</TableCell>
                  </TableRow>
                ))}
              </TableBody>
            </Table>
          </Paper>
        </Grid>
        <Grid item xs={12}>
          <Paper className={classes.paper}>
            <Typography className={classes.paperHeader}>
              Amount/Claim
            </Typography>
            <Divider />
            <Table className={classes.table} size="small">
              <TableHead>
                <TableRow>
                  <TableCell align="center">Admission</TableCell>
                  <TableCell align="center">Consultation</TableCell>
                  <TableCell align="center">Surgery</TableCell>
                  <TableCell align="center">Delivery</TableCell>
                  <TableCell align="center">Antenatal</TableCell>
                </TableRow>
              </TableHead>
              <TableBody>
                {rowsTwo.map(row => (
                  <TableRow key={row.name}>
                    <TableCell component="th" scope="row" align="center">
                      {row.a}
                    </TableCell>
                    <TableCell align="center">{row.b}</TableCell>
                    <TableCell align="center">{row.c}</TableCell>
                    <TableCell align="center">{row.d}</TableCell>
                    <TableCell align="center">{row.e}</TableCell>
                  </TableRow>
                ))}
              </TableBody>
            </Table>
          </Paper>
        </Grid>
        <Grid item xs={12} align="right">&nbsp;<Divider />&nbsp;</Grid>
        <Grid item xs={12} align="right">          
          <Button variant="contained" color="primary">Close</Button>
        </Grid>
      </Grid>
    </form>
  );
}
